AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

AMPS::LoggedBookmarkStore Member List

This is the complete list of members for AMPS::LoggedBookmarkStore, including all inherited members.

discard(const Message &message_) | AMPS::LoggedBookmarkStore | inline virtual
discard(const Message::Field &subId_, size_t bookmarkSeqNo_) | AMPS::LoggedBookmarkStore | inline virtual
getMaxSubIdLength() const | AMPS::BookmarkStoreImpl | inline
getMostRecent(const Message::Field &subId_) | AMPS::LoggedBookmarkStore | inline virtual
getOldestBookmarkSeq(const Message::Field &subId_) | AMPS::MemoryBookmarkStore | inline virtual
isDiscarded(Message &message_) | AMPS::LoggedBookmarkStore | inline virtual
log(Message &message_) | AMPS::LoggedBookmarkStore | inline virtual
LoggedBookmarkStore(const char *fileName_, bool useLastModifiedTime_=false) | AMPS::LoggedBookmarkStore | inline
LoggedBookmarkStore(const std::string &fileName_, bool useLastModifiedTime_=false) | AMPS::LoggedBookmarkStore | inline
LoggedBookmarkStore(const RecoveryPointAdapter &adapter_, const char *fileName_, RecoveryPointFactory factory_=NULL, bool useLastModifiedTime_=false) | AMPS::LoggedBookmarkStore | inline
LoggedBookmarkStore(const RecoveryPointAdapter &adapter_, const std::string &fileName_, RecoveryPointFactory factory_=NULL, bool useLastModifiedTime_=false) | AMPS::LoggedBookmarkStore | inline
MemoryBookmarkStore() | AMPS::MemoryBookmarkStore | inline
MemoryBookmarkStore(const RecoveryPointAdapter &adapter_, RecoveryPointFactory factory_=NULL) | AMPS::MemoryBookmarkStore | inline
persisted(const Message::Field &subId_, const Message::Field &bookmark_) | AMPS::MemoryBookmarkStore | inline virtual
persisted(const Message::Field &subId_, size_t bookmark_) | AMPS::MemoryBookmarkStore | inline virtual
purge() | AMPS::LoggedBookmarkStore | inline virtual
purge(const Message::Field &subId_) | AMPS::LoggedBookmarkStore | inline virtual
setMaxSubIdLength(size_t maxSubIdLength_) | AMPS::BookmarkStoreImpl | inline
setResizeHandler(BookmarkStoreResizeHandler handler_, void *userData_) | AMPS::BookmarkStoreImpl | inline virtual
setServerVersion(const VersionInfo &version_) | AMPS::LoggedBookmarkStore | inline virtual
setServerVersion(size_t version_) | AMPS::LoggedBookmarkStore | inline virtual